[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Base vs EPEL check



On Sat, 11 Oct 2008 01:22:28 +0530, Rahul Sundaram wrote:

> Hi,
> 
> Is there any repository checking being done automatically to make sure 
> packages in the EPEL repository do not conflict with the base 
> repository?

Not that I know of. It would be best done with local access to all
packages, so one can really compare all files (and do symlink vs.
directory and permission conflicts checks, too).

> Just curious. Seems like some of aspell packages do.

I only have an unfinished conflicts checker for remote repositories.
For i386 it finds:

dahdi-tools-2.0.0-2.el5.i386
  File conflict with: zaptel-utils-1.4.11-1.el5.i386
     /usr/sbin/fxotune
     /usr/share/man/man8/fxotune.8.gz

dahdi-tools-libs-2.0.0-2.el5.i386
  File conflict with: zaptel-lib-1.4.11-1.el5.i386
     /usr/lib/libtonezone.so.1.0


For EPEL 4 the results are worse (the first one is particularly
embarrassing and looks like typical %dist mass-build madness):

gsl-static-1.10-10.el4.i386
  File conflict with: gsl-devel-1.5-2.rhel4.i386
     /usr/lib/libgsl.a
     /usr/lib/libgslcblas.a

iwidgets-4.0.1-4.el4.noarch
  File conflict with: tk-devel-8.4.7-3.el4_6.1.i386
     /usr/share/man/mann/dialog.n.gz
     /usr/share/man/mann/menubar.n.gz

perl-XML-RegExp-0.03-2.el4.noarch
  File conflict with: perl-libxml-enno-1.02-31.noarch
     /usr/lib/perl5/vendor_perl/5.8.5/XML/RegExp.pm
     /usr/share/man/man3/XML::RegExp.3pm.gz

powerman-1.0.25-2.el4.i386
  File conflict with: festival-1.4.2-25.i386
     /usr/bin/pm

uw-imap-2007b-1.el4.i386
  File conflict with: cyrus-imapd-2.2.12-9.RHEL4.i386
     /etc/pam.d/imap
     /etc/pam.d/pop

uw-imap-static-2007b-1.el4.i386
  File conflict with: libc-client-devel-2002e-14.i386
     /usr/lib/c-client.a


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]